//the ASTER@IDS game and related functions
#ifndef AITEM_H
#define AITEM_H

#include <string.h>
#include "const.h"
#include "azone.h"

const int DESCSIZE = 500;

class ItemType
{
  public:

  void set(int id, int m, int f, char c, char l, char* name);
  void init(int pp, int pu, int own = 1, int p = 0, int o = 0,
        int over = -1, int mx = 1600);

  void describeWorded(int x1, int y1, int x2, int y2);
  void setDescription(const unsigned char* d)
    {strcpy(description, d);}
  void setName(const unsigned char* n)
    {strcpy(name, n);}
  void setPos(int x, int y)
    {iconX = x; iconY = y;}    

  void soil(int howMuch = ALITTLE)
    {dirty += howMuch;}
  void usePower(void)
    {power -= pUse; (pUse > 1 || power < pUse) ? soil(ALOT) : soil(ALITTLE);}
  void soilIcon(int hlight = CYAN)
    {iconBack = hlight;}

  void updateBar(int lr, int caller);
  void updateIcon(void);
  void updateInfo(int howMuch);
  int take(void);
  void genericUse(Zone &zone);
  void genericOnOff(void);

  int iAm, pUp, pUse;
  int overflow, max;
  int useable;
  int iconX, iconY, iconBack;
  int power, on, dirty, probability;
  unsigned char color, letter, name[14], description[DESCSIZE];

};

#endif
