//the ASTER@IDS game and related functions
#ifndef AROIDS_H
#define AROIDS_H

#include "amap.h" // MapModel def
#include "aflight.h" // FlightModel def
#include "ashared.h" // Zone & player

class Asteroids
{
public:
  Asteroids(void)
    : flight(), map()
  {}

  void initialize(void);
  int start(void);
  void run(void);

  void instructions(void);
  void backDrop(void);
  void endgameC(int planet = 0);

  int getFuel(void)
    {return shared.player.items[T_FUEL].power;}

protected:
  int gamestat;

  Shared shared;
  MapModel map;
  FlightModel flight;

  void showanim(void);
};

#endif
