// ascii.h

#ifndef ASCII_H
#define ASCII_H

enum ascii {
  ASC_ZERO = 0,
  ASC_INVERSESMILE,
  ASC_SMILE,
  ASC_HEART,
  ASC_DIAMOND,
  ASC_CLUB,
  ASC_SPADE,
  ASC_DOT,
  ASC_INVERSEDOT,
  ASC_MALE = 11,
  ASC_FEMALE,
  ASC_NEWLINE,
  ASC_NOTE,
  ASC_HOLLOWSTAR,
  ASC_TRIANGLE_E,
  ASC_TRIANGLE_W,
  ASC_ARROW_NS,
  ASC_DOUBLEEXCLAMATION,
  ASC_PARAGRAPH,
  ASC_WARP,
  ASC_SMALLSQUARE,
  ASC_ARROW_NS_UND,
  ASC_ARROW_N,
  ASC_ARROW_S,
  ASC_ARROW_E,
  ASC_ARROW_W,
  ASC_NOT,
  ASC_ARROW_EW,
  ASC_TRIANGLE_N,
  ASC_TRIANGLE_S,
  ASC_DELTA = 127,
  //phonetic, might do later
  ASC_BIGCSOUTHCURL = 128,
  ASC_LITTLECSOUTHCURL = 135,
  ASC_LITTLEO_U = 167,

  ASC_UPDSIDEDOWNQUESTION = 168,
  ASC_CORNER_NW,
  ASC_CORNER_NE,
  ASC_ONEHALF,
  ASC_ONEQUARTER,
  ASC_UPSIDEDOWNEXCLAMATION,
  ASC_DOUBLEARROW_W,
  ASC_DOUBLEARROW_E,
  ASC_PATTERNLIGHT,
  ASC_PATTERNMEDIUM,
  ASC_PATTERNHEAVY,
  ASC_SN_SS, // single line north to single line south
  ASC_SN_SS_SW,  //180
  ASC_SN_SS_DW,
  ASC_DN_DS_SW,
  ASC_DS_SW,
  ASC_SS_DW,
  ASC_DN_DS_DW,
  ASC_DN_DS,
  ASC_DS_DW,
  ASC_DN_DW,
  ASC_DN_SW,
  ASC_SN_DW, //190
  ASC_SS_SW,
  ASC_SN_SE,
  ASC_SN_SW_SE,
  ASC_SS_SW_SE,
  ASC_SN_SS_SE,
  ASC_SW_SE,
  ASC_SN_SS_SW_SE,
  ASC_SN_SS_DE,
  ASC_DN_DS_SE,
  ASC_DN_DE, //200
  ASC_DS_DE,
  ASC_DN_DW_DE,
  ASC_DS_DW_DE,
  ASC_DN_DS_DE,
  ASC_DW_DE,
  ASC_DN_DS_DW_DE,
  ASC_SN_DW_DE,
  ASC_DN_SW_SE,
  ASC_SS_DW_DE,
  ASC_DS_SW_SE,
  ASC_DN_SE,
  ASC_SN_DE,
  ASC_SS_DE,
  ASC_DS_SE,
  ASC_DN_DS_SW_SE,
  ASC_SN_SS_DW_DE,
  ASC_SN_SW,
  ASC_SS_SE,
  ASC_SOLID,
  ASC_HALF_S,
  ASC_HALF_W,
  ASC_HALF_E,
  ASC_HALF_N,
  // greek, maybe later
  ASC_DIVISION = 246,
  ASC_DOUBLETILDE,
  ASC_CIRCLESMALL,
  ASC_POINTLARGE,
  ASC_POINTSMALL,
  ASC_ROOT,
  ASC_NTH,
  ASC_SQUARED,
  ASC_SQUARESMALL,
  ASC_255
};

const int ASC_FILLSTAGE = 5;
const int ASC_FILL[ASC_FILLSTAGE] = {' ', ASC_PATTERNLIGHT, ASC_PATTERNMEDIUM,
                                     ASC_PATTERNHEAVY, ASC_SOLID};

#endif
