//zone class for ASTER@IDS
#ifndef AZONE_H
#define AZONE_H

#include "const.h" // sprite constants

enum specialtype {SL_NONE = 0, SL_DISRUPT = 1, SL_SECRET = 2, SL_BOSS = 3,
		  SL_POSTBOSS = 4};

class Zone
{
public:
  Zone(void) : deltaSpeed(0) {}

  void sc(int sp, int m, int s, int l, int c, int w, int p, int b, int t);
  void define(int type);

  int maxtop, maxleft, maxbottom, maxright;
  int prob[NUMSPRITETYPE], instantProb;
  int powerMod, meteorMod;
  int scrollx, scrolly, speed, deltaSpeed, special, length, bcolor;
};

#endif
