// these functions were needed in the game and the map making program
// also, the functions for the ending's city pic & openings room pic
#ifndef MAPFUNC_H
#define MAPFUNC_H

#include "const.h"

void saveMap(int (*z2)[20][10]);
void loadMap(int (*z2)[20][10]);
void drawframe(void);
int switchradar(int type);
int switchscanner(int type, int &);

void csave(int (*c2)[38][22], char name[17]);
void cload(int (*c2)[38][22], char name[17]);
void switchcity(int type, int fc[6]);

void makeMap(void);

void randomMap( int (&z)[20][10] );
void copyMap( const int (&from)[20][10], int (&to)[20][10] );
void heightField( int (&useing)[20][10], int force = 0 );
void finiteDifference( int (&from)[20][10], int (&to)[20][10] );
void forceSeed(int (&useing)[MAPXSIZE][MAPYSIZE], int left, int top,
  int right, int button, int what);
void reduceHeightField( int (&useing)[20][10] );
int findShortestPath(int (&useing)[MAPXSIZE][MAPYSIZE]);
void makeTunnel( int (&useing)[MAPXSIZE][MAPYSIZE] );
void hunksToEdges( int (&useing)[MAPXSIZE][MAPYSIZE] );
void chooseZoneType( int (&useing)[20][10] );
void mergeZones( int (&hf)[MAPXSIZE][MAPYSIZE],
  const int (&ztype)[MAPXSIZE][MAPYSIZE] );

#endif
