//Escape From Planet 23x, A combination of DODGEBEAM, METE@RS, AND ASTER@IDS.
#include <time.h>
#include <stdlib.h>
#include "gamefunc.h"
#include "cgdlogo.h"
#include "mapfunc.h"
#include "escfp23x.h"
#include "aroids.h"

int lives, sections, fuel;

//opening pause and skip code
void readysetgo(int &gamestat, int skipkey)
{
  int keyin;
  cset(WHITE + BLINK);
  gotoxy(27,23);
  cputs("Press SPACE");

  do {
    keyin = getch();
   #ifdef CHEAT
    if (keyin == skipkey) gamestat = 3;
    if (keyin == (int)'e') gamestat = 2;
    if (keyin == (int)'s') gamestat = 10;
   #endif
  } while(keyin != 32);

  gotoxy(27,23);
  cputs("             ");
}

//ingame pause
void pause(int &gamestat)
{
  cset(WHITE+BLINK);
  gotoxy(27,22);
  cputs("PAUSED       ");
  gotoxy(27,23);
  cset(WHITE);
  cputs("Continue?-y/n");
  speaker.stop();
  switch (getch())
  {
    case ((int)'n'):
    case ((int)'N'): gamestat = 1;
  }
  gotoxy(27,22);
  cputs("      ");
  gotoxy(27,23);
  cputs("             ");
}

// gives the previous games cheat key
void givecode(char *gamename, char *pw)
{
  while(getkey())
    ;
  cset(LIGHTGRAY);
  clrscr();
  interruptWait(1000);
  gotoxy(8,12);
  cputs("Psssst.");
  interruptWait(1000);
  gotoxy(8,12);
  cputs("       ");
  interruptWait(500);
  gotoxy(8,12);
  cputs("You.");
  interruptWait(500);
  gotoxy(8,12);
  cputs("    ");
  interruptWait(500);
  gotoxy(8,12);
  cputs("Yeah,");
  interruptWait(500);
  gotoxy(8,12);
  cputs("you at the keyboard.");
  interruptWait(1000);
  gotoxy(8,12);
  cputs("Do you want to skip "); cputs(gamename); putch('?');
  interruptWait(2000);
  gotoxy(8,12);
  cputs("Of course you do.              ");
  interruptWait(1000);
  gotoxy(8,12);
  cputs("your password is: "); cset(WHITE); cputs(pw);
  while(getkey())
    ;
  getch();
  cset(LIGHTGRAY);
  gotoxy(8,12);
  cputs("Get it?                       ");
  interruptWait(500);
  gotoxy(8,13);
  cputs("Got it?");
  interruptWait(500);
  gotoxy(8,14);
  cputs("Good.");
  interruptWait(1000);
  clrscr();
  while(getkey())
    ;
}

//ship explosion for B & C
void explode(int ex, int ey)
{
  int px[8], py[8], c;
  px[0] = -1;
  py[0] = -1;
  px[1] = 0;
  py[1] = -1;
  px[2] = 1;
  py[2] = -1;
  px[3] = -1;
  py[3] = 0;
  px[4] = 1;
  py[4] = 0;
  px[5] = -1;
  py[5] = 1;
  px[6] = 0;
  py[6] = 1;
  px[7] = 1;
  py[7] = 1;


  for (int a = 0;a < 23;a++)
  {
    switch (a)
    {
      case 0: c = 249; break;
      case 3: c = 254; break;
      case 6: c = 219; break;
    }
    speaker.play(64-a);
    for (int b = 0;b < 8;b++)
    {
      if (ex+(px[b]*a) < 25 && ex+(px[b]*a) > 1 && ey+(py[b]*a) < 25 && ey+(py[b]*a) > 1)
      {
        gotoxy(ex+(px[b]*(a-1)), ey+(py[b]*(a-1)));
        cset(LIGHTGRAY);
        putch(random(3)+176);
        gotoxy(ex+(px[b]*a), ey+(py[b]*a));
        cset(WHITE);
        putch(c);
      }
    }
    delay(75);
  }
  speaker.stop();
}

//the title bar for all text screens
void titlebar(unsigned char name[40], int forline, int aftline)
{
  int a;
  cset(RED);
  clrscr();
  gotoxy(1,1);
  for (a = 0;a < forline; a++) putch(205);
  for (a = 0;a < 40;a++)
  {
    if (name[a] == '#')
      name[a] = (unsigned char)240;
    if (name[a] == '@' || name[a] == (unsigned char)240)
      cset(RED, BLUE);
    else
      cset(YELLOW, BLUE);
    putch(name[a]);
    if (name[a+1] == '\0')
      a = 40;
  }
  cset(RED);
  for (a = 0;a < aftline; a++) putch(205);
  cputs("\r\n");
}

//change the flashing colors for finale
void flash(int (*fc)[6])
{
  int a;
  for (a = 0;a < 6;a++)
    (*fc)[a] = 14+random(2);
}

//cloud fading
void clouds(int density, int thin, int thick, int (*pcity)[38][22],
  int (*flashc)[6])
{
  int a, b;
  for (a = 0;a < 22;a++)
  {
    for (b = 0;b < 38;b++)
    {
      cset(DARKGRAY, LIGHTGRAY);
      gotoxy(b+2,a+2);
      if (random(density) == 0)
      {
        if (thin == 0)
          switchcity((*pcity)[b][a], (*flashc));
        else
          putch(thin);
      }
      else
      {
        if (thick == 0)
          switchcity((*pcity)[b][a],(*flashc));
        else
          putch(thick);
      }
    }
  }
  frameControl.force();
}

//most commen sequence
int cloudsout(int (*pointc)[38][22], int flashing)
{
  int a, ret = 0, flashc[6];

  if (!flashing)
  {
    for (a = 0;a < 6;a++)
      flashc[a] = 15;
  }

  frameControl.set(10);
  frameControl.sync();

  for (a = 20;a > 0;a-=6)
  {
    if (flashing)
      flash(&flashc);
    clouds(a, 178, 219, pointc, &flashc);
    if (getkey())
      goto skipme;
  }
  for (a = 20;a > 0;a-=6)
  {
    if (flashing)
      flash(&flashc);
    clouds(a, 177, 178, pointc, &flashc);
    if (getkey())
      goto skipme;
  }
  for (a = 20;a > 0;a-=6)
  {
    if (flashing)
      flash(&flashc);
    clouds(a, 176, 177, pointc, &flashc);
    if (getkey())
      goto skipme;
  }
  for (a = 20;a > 0;a-=6)
  {
    if (flashing)
      flash(&flashc);
    clouds(a, 0, 176, pointc, &flashc);
    if (getkey())
      goto skipme;
  }
  goto end;
  skipme:
  ret = 1;
  end:
  return ret;
}

//opening auto sequence
void opening(void)
{
  int a, b, c, fcolor[6], city[38][22];
  for (a = 0;a < 6;a++)
    fcolor[a] = WHITE;

  frameControl.set(10);

  do {
  } while (getkey());

  begin:

  for (a = 0;a < 38;a++)
  {
    for (b = 0;b < 22;b++)
      city[a][b] = 25;
  }

  cset(BLUE);
  textbox(1,1,40,24);
  gotoxy(18,24);
  cset(WHITE + BLINK);
  cputs("START");
  if (cloudsout(&city, 0))
    goto outahere;
  for (a = 0;a < 22;a++)
  {
    for (b = 0;b < 38;b++)
    {
      gotoxy(b+2,a+2);
      switchcity(city[b][a], fcolor);
    }
  }
  for (a = 0;a < 100;a++)
  {
    if (getkey())
      goto outahere;
    delay(25);
  }
  cload(&city, "room.dat");

  frameControl.sync();

  for (a = 20;a > 0;a-=6)
  {
    clouds(a, 0, 219, &city, &fcolor);
    if (getkey())
      goto outahere;
  }
  for (a = 0;a < 22;a++)
  {
    for (b = 0;b < 38;b++)
    {
      gotoxy(b+2,a+2);
      switchcity(city[b][a], fcolor);
    }
  }
  for (a = 0;a < 50;a++)
  {
    if (getkey())
      goto outahere;
    delay(25);
  }
  for (a = 0;a < 25;a++)
  {
    if (getkey())
      goto outahere;
    switch(a%5)
    {
      case 0: speaker.play(75); delay(50); break;
      case 2: speaker.play(100); delay(50); break;
      case 1:
      case 3:
      case 4: speaker.stop(); delay(300); break;
    }
  }
  gotoxy(20, 15);
  cset(DARKGRAY, BLACK);
  putch(222);
  speaker.play(100);
  delay(100);
  speaker.stop();
  delay(400);
  gotoxy(20, 15);
  putch(32);
  speaker.play(75);
  delay(100);
  speaker.stop();

  for (a = 0;a < 100;a++)
  {
    if (getkey())
      goto outahere;
    delay(50);
  }

  cset(BLUE);
  clrscr();
  titlebar("Escape From Planet 23x Remix.",5,5);
  cset(LIGHTGREEN);
  //       0000000001111111111222222222233333333334
  //       1234567890123456789012345678901234567890
  if(type("It is far in the future.  After the     ",1)) goto outahere;
  if(type("failure of the first two probes to      ",1)) goto outahere;
  if(type("planet 23x in the Andromeda galaxy, It  ",1)) goto outahere;
  if(type("was decided to send a lone astronaut to ",1)) goto outahere;
  if(type("investigate (oh gee, I wonder who that  ",1)) goto outahere;
  if(type("will be).  Antimatter engines and black ",1)) goto outahere;
  if(type("holes cut travel time down to a year    ",1)) goto outahere;
  if(type("each way... a year has passed.  As you  ",1)) goto outahere;
  if(type("approach planet 23x, you put your ship  ",1)) goto outahere;
  if(type("in orbit and head for the surface in the",1)) goto outahere;
  if(type("lander craft.  But as you penetrate the ",1)) goto outahere;
  if(type("dense cloud cover, a strange light      ",1)) goto outahere;
  if(type("envelopes your ship and you wake up in a",1)) goto outahere;
  if(type("room, the walls of which are blank      ",1)) goto outahere;
  if(type("except for what you believe to be a door",1)) goto outahere;
  if(type("with a window.  Suddenly, you see a     ",1)) goto outahere;
  if(type("strange being through the window --     ",1)) goto outahere;
  if(type("beyond description in human terms...    \r\n",1)) goto outahere;

  if(type("Your escape will consist of three games,",1)) goto outahere;
  if(type("DODG#B#AM, METE@RS, and ASTER@IDS.  Hit ",1)) goto outahere;
  if(type("\'Instructions\' for the next step.       \r\n",1)) goto outahere;
  cset(GREEN);
  if(type("         --PRESS A KEY TO START--      ",1)) goto outahere;
  interruptWait(1000);

  cset(WHITE);
  clrscr();
  interruptWait(500);
  gotoxy(1, 2);
  if(type("Credits:",1)) goto outahere;
  interruptWait(500);
  gotoxy(10, 7);
  if(type("Everything:",1)) goto outahere;
  interruptWait(500);
  gotoxy(15, 8);
  if(type("Justin Love",1)) goto outahere;
  interruptWait(1000);

  gotoxy(10, 12);
  if(type("Comments:",1)) goto outahere;
  interruptWait(500);
  gotoxy(15,13);
  if(type("Shaun Thomas",1)) goto outahere;
  interruptWait(1000);

  gotoxy(10, 17);
  if(type("Suggestion to do the remix:",1)) goto outahere;
  interruptWait(500);
  gotoxy(15,18);
  if(type("Joel White",1)) goto outahere;

  interruptWait(2000);
  clrscr();
  interruptWait(500);

  if (drawlogo(1))
    goto outahere;
  goto begin;
  outahere:
  speaker.stop();
  while(getkey())
    ;
}

//the final ending
void grandfinale(void)
{
  int a, b, c, city[38][22], fcolor[6];
  cload(&city, "city.dat");

  frameControl.set(10);

  for (a = 0;a < 3;a++)
  {
    fcolor[a] = WHITE;
    fcolor[a+3] = YELLOW;
  }
  //black to dkgray to ltgray = 0-8, brown on red = 9-11,
  //red on dkgray = 12-14, brown on dkgray = 15-17,
  //flashing on dkgray = 18-23, star = 24
  do {
  } while (getkey());
  clrscr();
  textbox(1,1,40,24);
  window(2,2,39,23);
  gotoxy(1,1);
  cset(GREEN);
  //     00000000011111111112222222222333333333
  //     12345678901234567890123456789012345678
  cputs("As you leave planet 23x, you should be");
  cputs("thankful for your life....            ");
  cputs("But instead your mind wanders...      \r\n");
  cputs("\"How could an advanced civilization   ");
  cputs("develop on such a barren, rocky       ");
  cputs("world?\"                               ");
  cputs("\"Why was there no other sign of       ");
  cputs("civilation?\"                          ");
  cputs("\"Why didn't I pass through the clouds ");
  cputs("on the way out?\"                      \r\n");
  cputs("As you ponder these questions, your   ");
  cputs("eyes wander to your insturments and   ");
  cputs("you realize that you you had just left");
  cputs("planet 15x -- 23x was just ahead of   ");
  cputs("you....                               \r\n");
  cputs("with some fuel left in the tank, you  ");
  cputs("strap on your Sungazer 4000 solar     ");
  cputs("shades and bravely head into the      ");
  cputs("clouds once again....                ");
  window(1,1,40,25);
  gotoxy(18,24);
  cset(GREEN+BLINK);
  cprintf("GO %c",16);
  getch();

  fuel = 100;
  clrscr();
  Asteroids dummey;
  dummey.endgameC(1);
  clrscr();
  do {
  } while (getkey());
  textbox(1,1,40,24);
  gotoxy(15, 24);
  cset(RED+BLINK);
  cprintf("CONTINUE %c", 254);

  if (cloudsout(&city))
    goto skip1;

  gotoxy(15, 24);
  cset(GREEN+BLINK);
  cprintf("   GO %c   ", 16);

  do {
    flash(&fcolor);
    for (a = 0;a < 22;a++)
    {
      for (b = 0;b < 38;b++)
      {
        gotoxy(b+2,a+2);
        switchcity(city[b][a], fcolor);
      }
    }
    frameControl.force();
  } while (!getkey());
  skip1:
  textbox(1,1,40,24);
  gotoxy(18,24);
  cset(GREEN+BLINK);
  cprintf("GO %c",16);
  cset(DARKGRAY, LIGHTGRAY);
  gotoxy(2,23);
  cputs("                                      ");
  window(2,2,39,23);
  gotoxy(1,22);
  //        00000000011111111112222222222333333333
  //        12345678901234567890123456789012345678
  if (type("Not suprisingly,  I am afraid as I    ",1)) goto skip2;
  if (type("penitrate the dark clouds.  As the    ",1)) goto skip2;
  if (type("clouds break, I see before me a huge  ",1)) goto skip2;
  if (type("alien metropolis not unlike those of  ",1)) goto skip2;
  if (type("Earth.  It was this shining city that ",1)) goto skip2;
  if (type("blinded me, not direct alien actions.\r\n\r\n",1)) goto skip2;
  if (type("The planet itself, however, is not so ",1)) goto skip2;
  if (type("alive.  The land is barren, and the   ",1)) goto skip2;
  if (type("sky is dark.  The atmospheric         ",1)) goto skip2;
  if (type("composition reminds me of Earth a few ",1)) goto skip2;
  if (type("centuries before... could this have   ",1)) goto skip2;
  if (type("been our fate....\r\n\r\n\r\n",1)) goto skip2;
  if (type("My mission complete, I pull up towards",1)) goto skip2;
  if (type("the clouds to leave this planet and   ",1)) goto skip2;
  if (type("finally return to mine.\r\n",1)) goto skip2;
  if (type("\r\n\r\n\r\n",1)) goto skip2;
  speaker.play(1000);
  delay(100);
  speaker.stop();
  getch();

  skip2:
  window(1,1,40,25);
  textbox(1,1,40,24);
  gotoxy(18,24);
  cset(GREEN+BLINK);
  cprintf("GO %c",16);

  frameControl.sync();

  do {
    flash(&fcolor);
    for (a = 0;a < 22;a++)
    {
      for (b = 0;b < 38;b++)
      {
        gotoxy(b+2,a+2);
        switchcity(city[b][a], fcolor);
      }
    }
    frameControl.force();
  } while (!getkey());

  gotoxy(15, 24);
  cset(RED+BLINK);
  cprintf("CONTINUE %c", 254);

  for (c = 0;c < 13;c++)
  {
    for (a = 20;a > -1;a--)
    {
      for (b = 0;b < 38;b++)
        city[b][a+1] = city[b][a];
    }
    for (a = 0;a < 38;a++)
    {
      if (c%2 == 1)
        city[a][0]++;
      else
        city[a][0] = city[a][1];
    }
    flash(&fcolor);
    for (a = 0;a < 22;a++)
    {
      for (b = 0;b < 38;b++)
      {
        gotoxy(b+2,a+2);
        switchcity(city[b][a], fcolor);
      }
    }
    if (getkey())
      return;
  }

  frameControl.sync();

  for (a = 20;a > 0;a-=6)
  {
    clouds(a, 176, 0, &city, &fcolor);
    if (getkey())
      return;
  }
  for (a = 20;a > 0;a-=6)
  {
    clouds(a, 177, 176, &city, &fcolor);
    if (getkey())
      return;
  }
  for (a = 20;a > 0;a-=6)
  {
    clouds(a, 178, 177, &city, &fcolor);
    if (getkey())
      return;
  }
  for (a = 20;a > 0;a-=6)
  {
    clouds(a, 219, 178, &city, &fcolor);
    if (getkey())
      return;
  }

  for (a = 0;a < 22;a++)
  {
    for (b = 0;b < 38;b++)
    {
      if (random(20) == 0)
        city[b][a] = 24;
      else
        city[b][a] = 0;
    }
  }

  if (cloudsout(&city))
    return;

  gotoxy(15, 24);
  cset(GREEN+BLINK);
  cprintf("   GO %c   ", 16);

  do {
    for (a = 0;a < 22;a++)
    {
      for (b = 0;b < 38;b++)
      {
        gotoxy(b+2,a+2);
        switchcity(city[b][a], fcolor);
      }
    }
  } while (!getkey());
}

